<?php
	session_start();
	define('Template_Seller',true);
	include "../includes/include.php";
	include "../includes/jdf.php";
	include "./includes/check.php";
?>
<html>
	<head>
		<meta charset="utf-8">
		<title>فروشگاه افزونه نویس - پنل مدیریت</title>
		<link href="../assets/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
		<link rel="stylesheet" href="../assets/css/bootstrap.min.css">
		<link rel="stylesheet" href="../assets/css/animate.css">
		<link href="../assets/css/bootstrap-rtl.css" rel="stylesheet" type="text/css" />
		<link href="./assets/css/chosen.css" rel="stylesheet" type="text/css" />
		<link href="./assets/css/template-rtl.css" rel="stylesheet" type="text/css" />
		<script src="../assets/js/jquery.min.js"></script>
		<script src="../assets/js/plugins.js"></script>
		<script src="../assets/js/bootstrap.min.js"></script>
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	</head>
	<body>
		<div id="main">
			<div id="top">
				<div class="container-fluid">
					<div class="row">
						<div class="col-sm-8">
							<ul>
								<a href="index.php" title="صفحه اصلی">
									<li>
										<i class="fa fa-home"></i>
									</li>
								</a>
								<a href="index.php?view=products" title="محصولات">
									<li>
										<i class="fa fa-shopping-bag"></i>
									</li>
								</a>
								<a href="index.php?view=tickets" title="تیکت ها">
									<li>
										<i class="fa fa-ticket"></i>
									</li>
								</a>
								<a href="index.php?view=users" title="کاربران">
									<li>
										<i class="fa fa-users"></i>
									</li>
								</a>
								<a href="index.php?view=orders" title="سفارشات">
									<li>
										<i class="fa fa-credit-card"></i>
									</li>
								</a>
								<a href="index.php?view=reports" title="گزارشات">
									<li>
										<i class="fa fa-line-chart"></i>
									</li>
								</a>
								<a href="index.php?view=config" title="تنظیمات">
									<li>
										<i class="fa fa-cogs"></i>
									</li>
								</a>
							</ul>
						</div>
						<div class="col-sm-4">
							<ul>
								<a href="index.php?view=edituser&id=<?php echo $_SESSION["Login_Admin_Id"];?>" title="پروفایل">
									<li>
										<i class="fa fa-user"></i>
									</li>
								</a>
								<a target="_blank" href="<?php echo $root; ?>" title="مشاهده سایت">
									<li>
										<i class="fa fa-eye"></i>
									</li>
								</a>
								<a href="?view=logout" title="خروج">
									<li>
										<i class="fa fa-sign-out"></i>
									</li>
								</a>
							</ul>
						</div>
					</div>
				</div>
			</div>
			<div id="colors-horizontal">
				<div class="container-fluid">
					<div class="row">
						<div class="col-sm-12"></div>
					</div>
				</div>
			</div>
			<div id="content">
				<?php
				if(isset($_GET["view"])&&file_exists("./pages/".$_GET["view"].".php"))
				{
					$address="./pages/".$_GET["view"].".php";
					require_once($address);
				}
				else
				{
				?>
				<div class="container-fluid">
					<div class="row main">
						<div class="col-sm-3">
							<a href="index.php?view=products">
								<div class="innerpanel" id="products">
									<i class="fa fa-shopping-bag"></i>
									محصولات
								</div>
							</a>
						</div>
						<div class="col-sm-3">
							<a href="index.php?view=tickets">
								<div class="innerpanel" id="tickets">
									<i class="fa fa-ticket"></i>
									تیکتها
								</div>
							</a>
						</div>
						<div class="col-sm-3">
							<a href="index.php?view=users">
								<div class="innerpanel" id="users">
									<i class="fa fa-users"></i>
									کاربران
								</div>
							</a>
						</div>
						<div class="col-sm-3">
							<a href="index.php?view=orders">
								<div class="innerpanel" id="orders">
									<i class="fa fa-credit-card"></i>
									سفارشات
								</div>
							</a>
						</div>
					</div>
					<div class="row main">
						<div class="col-sm-3">
							<a href="index.php?view=reports">
								<div class="innerpanel" id="reports">
									<i class="fa fa-line-chart"></i>
									گزارشات
								</div>
							</a>
						</div>
						<div class="col-sm-3">
							<a href="index.php?view=config">
								<div class="innerpanel" id="config">
									<i class="fa fa-cogs"></i>
									تنظیمات
								</div>
							</a>
						</div>
						<div class="col-sm-3">
							<a target="_blank" href="<?php echo $root; ?>">
								<div class="innerpanel" id="viewsite">
									<i class="fa fa-eye"></i>
									مشاهده سایت
								</div>
							</a>
						</div>
						<div class="col-sm-3">
							<a href="index.php?view=logout">
								<div class="innerpanel" id="logout">
									<i class="fa fa-sign-out"></i>
									خروج
								</div>
							</a>
						</div>
					</div>
				</div>
				<?php
					if(isset($_GET["view"])&&!file_exists("./pages/".$_GET["view"].".php"))
					{
						echo '
						<div class="container-fluid" style="margin:0 15px;">
							<div class="row">
								<div class="alert alert-danger">صفحه مورد نظر یافت نشد.</div>
							</div>
						</div>
						';
					}
				}	
				?>
			</div>
		</div>
	</body>			
	<script src="assets/js/script.js"></script>
</html>