<?php
defined('Template_Seller') or die ("شما اجازه دسترسي مستقيم به اين صفحه را نداريد.");
?>
<script src='../assets/lib/editor/js/tinymce/tinymce.min.js'></script>
<script>
	tinymce.init({
		selector: '#description',
		directionality : 'rtl'
	});
</script>
<div class="container-fluid">
	<form method="post" enctype="multipart/form-data">
		<div class="row" id="toolbar">
			<div class="col-sm-12">
				<input type="submit" value="ذخیره" name="new">
				<input type="reset" value="بازنشانی">
				<input type="button" value="بازگشت" onclick="window.location.assign('?view=products');">
			</div>
		</div>
		<?php
		if(isset($error))
		{
			echo '
				<div class="container-fluid" style="margin:0 15px;">
					<div class="row">
						'.PersianNumber($error).'
					</div>
				</div>';
		}
		?>
		<fieldset>
			<legend>محصول جدید:</legend>
			<div class="row">
				<label class="col-sm-2 control-label" for="name">نام:</label>
				<div class="col-sm-10">
					<input class="form-control" name="name" id="name" <?php if(isset($_POST["name"])) echo 'value="'.$_POST["name"].'"'; ?>>
				</div>
			</div>
			<div class="row">
				<label class="col-sm-2 control-label" for="description">توضیحات:</label>
				<div class="col-sm-10">
					<textarea class="form-control" name="description" id="description"><?php if(isset($_POST["description"])) echo $_POST["description"]; ?></textarea>
				</div>
			</div>
			<div class="row">
				<label class="col-sm-2 control-label" for="price">قیمت:</label>
				<div class="col-sm-10">
					<input type="number" class="form-control" name="price" id="price" <?php if(isset($_POST["price"])) echo 'value="'.$_POST["price"].'"'; ?>>
				</div>
			</div>
			<div class="row">
				<label class="col-sm-2 control-label" for="image">عکس:</label>
				<div class="col-sm-10">
					<input name="image" type="file" id="image" <?php if(isset($_POST["image"])) echo 'value="'.$_POST["image"].'"'; ?>>
				</div>
			</div>
			<div class="row">
				<label class="col-sm-2 control-label" for="designer">طراح:</label>
				<div class="col-sm-10">
					<input class="form-control" name="designer" id="designer" <?php if(isset($_POST["designer"])) echo 'value="'.$_POST["designer"].'"'; ?>>
				</div>
			</div>
			<div class="row">
				<label class="col-sm-2 control-label" for="responsive">واکنش گرا:</label>
				<div class="col-sm-10">
					<input type="checkbox" name="responsive" id="responsive" <?php if(isset($_POST["responsive"])&&$_POST["responsive"]==true) echo 'checked'; ?>>
				</div>
			</div>
			<div class="row">
				<label class="col-sm-2 control-label" for="year">سال:</label>
				<div class="col-sm-10">
					<input type="number" class="form-control" name="year" id="year" <?php if(isset($_POST["year"])) echo 'value="'.$_POST["year"].'"'; ?>>
				</div>
			</div>
			<div class="row">
				<label class="col-sm-2 control-label" for="positions">تعداد موقعیت:</label>
				<div class="col-sm-10">
					<input type="number" class="form-control" name="positions" id="positions" <?php if(isset($_POST["positions"])) echo 'value="'.$_POST["positions"].'"'; ?>>
				</div>
			</div>
			<div class="row">
				<label class="col-sm-2 control-label" for="menutype">نوع منو:</label>
				<div class="col-sm-10">
					<input class="form-control" name="menutype" id="menutype" <?php if(isset($_POST["menutype"])) echo 'value="'.$_POST["menutype"].'"'; ?>>
				</div>
			</div>
			<div class="row">
				<label class="col-sm-2 control-label" for="file">فایل:</label>
				<div class="col-sm-10">
					<input type="file" name="file" id="file" <?php if(isset($_POST["file"])) echo 'value="'.$_POST["file"].'"'; ?>>
				</div>
			</div>
		</fieldset>
	</form>
</div>