function preview(a)
{
	if(a.style.position=="fixed")
	{
		a.style.position="";
		a.style.top="";
		a.style.right="";
		a.style.width="";
		a.style.height="";
		a.style.zIndex="";
		a.style.margin="";
		a.style.border="";
		a.style.padding="";
		document.getElementById("shadow").style.display="none";
	}
	else
	{
		a.style.position="fixed";
		a.style.zIndex=2000000;
		a.style.margin="unset";
		a.style.border="unset";
		a.style.padding="unset";
		document.getElementById("shadow").style.display="block";
		a.style.top="0";
		a.style.width="auto";
		a.style.height="100%";
		a.style.right=(window.innerWidth/2)-(a.width/2);					
	}
}
$(".addtocart").on("click", function (){
	if($('#products #product'+$(this).data("id")).length)
		alert("این محصول قبلا به سبد خرید افزوده شده است.");
	else
	{
		if($("#cart #cart-products").css("display")=="none") {
			$("#cart #cart-products").css("display","block");
			$("#cart #empty").css("display","none");
		};
		$("#cart #products").append('<div class="product" id="product'+$(this).data("id")+'"><div id="title">'+PersianNumber($(this).data("name"))+'</div><div id="price">'+PersianNumber(String($(this).data("price")))+'</div><div id="delete" onclick="removefromcart(this)" data-price="'+$(this).data("price")+'" data-id="'+$(this).data("id")+'"><a style="margin-right:9px;"><img src="./assets/images/delete-product.png"></a></div></div>');
		$("#cart .total #price").text(PersianNumber(String(parseInt(EnglishNumber($("#cart .total #price").text()))+$(this).data("price"))));
		if(document.cookie.indexOf("products")>=0)
		{
			var products=Cookies.get('products');
			Cookies.remove('products');
			var products= products+"-"+$(this).data("id");
		}
		else
{
			Cookies.remove('products');
			var products= $(this).data("id");
		}
		Cookies.set('products', products);
	}
});
function removefromcart(element){
	if(element.getAttribute("data-id")=="all")
	{
		$('#products .product').remove();
		$("#cart .total #price").text("۰");
		if($("#cart .total #price").text()=="۰"){
			$("#cart #cart-products").css("display","none");
			$("#cart #empty").css("display","block");
		}
		Cookies.remove('products');
	}
	else
	{
		$('#products #product'+element.getAttribute("data-id")).remove();
		$("#cart .total #price").text(PersianNumber(String(parseInt(EnglishNumber($("#cart .total #price").text()))-element.getAttribute("data-price"))));
		if($("#cart .total #price").text()=="۰"){
			$("#cart #cart-products").css("display","none");
			$("#cart #empty").css("display","block");
		}
		var products=Cookies.get('products');
		Cookies.remove('products');
		products="-"+products; 
		products=products.replace("-"+element.getAttribute("data-id"),""); 
		products=products.substring(1);
		if(products!="")
			Cookies.set('products', products);
	}
};
$(function load() {
  $('.fadeInRightdisabled').bind('inview', function (event, visible) {
	if (visible) {
		$(this).addClass("fadeInRight");
		$(this).removeClass("fadeInRightdisabled");
		$(this).css("opacity","1");
	}
  });
});
$(function load() {
  $('.fadeInLeftdisabled').bind('inview', function (event, visible) {
	if (visible) {
		$(this).addClass("fadeInLeft");
		$(this).removeClass("fadeInLeftdisabled");
		$(this).css("opacity","1");
	}
  });
});
$(function load() {
  $('.RollInLeftdisabled').bind('inview', function (event, visible) {
	if (visible) {
		$(this).addClass("RollInLeft");
		$(this).removeClass("RollInLeftdisabled");
		$(this).css("opacity","1");
	}		
  });
});
$(function load() {
  $('.RollIndisabled').bind('inview', function (event, visible) {
	if (visible) {
		$(this).addClass("RollIn");
		$(this).removeClass("RollIndisabled");
		$(this).css("opacity","1");
	}
  });
});
$(function load() {
  $('.shakedisabled').bind('inview', function (event, visible) {
	if (visible) {
		$(this).addClass("shake");
		$(this).removeClass("shakedisabled");
		$(this).css("opacity","1");
	}
  });
});
$(window).scroll(function() {
    var x = $(this).scrollTop();
    $("#botmenu").css('background-position', '0% ' + parseInt(-x / 2) + 'px');
    $("body").css('background-position', '0% ' + parseInt(-x / 5) + 'px');
});
function PersianNumber(str)
{
	str=str.replace(/0/g,"۰");
	str=str.replace(/1/g,"۱");
	str=str.replace(/2/g,"۲");
	str=str.replace(/3/g,"۳");
	str=str.replace(/4/g,"۴");
	str=str.replace(/5/g,"۵");
	str=str.replace(/6/g,"۶");
	str=str.replace(/7/g,"۷");
	str=str.replace(/8/g,"۸");
	str=str.replace(/9/g,"۹");
	return str;
}
function EnglishNumber(str)
{
	str=str.replace(/۰/g,"0");
	str=str.replace(/۱/g,"1");
	str=str.replace(/۲/g,"2");
	str=str.replace(/۳/g,"3");
	str=str.replace(/۴/g,"4");
	str=str.replace(/۵/g,"5");
	str=str.replace(/۶/g,"6");
	str=str.replace(/۷/g,"7");
	str=str.replace(/۸/g,"8");
	str=str.replace(/۹/g,"9");
	return(str);
}