<?php
defined('Template_Seller') or die ("شما اجازه دسترسي مستقيم به اين صفحه را نداريد.");
?>
<div class="container-fluid">
	<form method="post">
		<br>
		<?php
		if(isset($error))
		{
			echo '
				<div class="container-fluid" style="margin:0 15px;">
					<div class="row">
						'.PersianNumber($error).'
					</div>
				</div>';
		}
		?>
		<div class="row">
			<div class="col-sm-12">
				<table class="table table-hover table">
					<thead>
						<tr>
							<th width="5%">شماره</th>
							<th width="10%">نام</th>
							<th width="55%">توضیحات</th>
							<th width="15%">قیمت</th>
							<th width="5%">عکس</th>
							<th width="5%">فروش</th>
							<th width="5%">بازدید</th>
						</tr>
					</thead>
					<tbody>
					<?php
						$sql="select * from products where 1=1 ";
						if(isset($_POST["filter-name"])&&$_POST["filter-name"]!="")
						{
							$sql.="and name LIKE '%".$_POST["filter-name"]."%'";
						}
						if(isset($_POST["filter-description"])&&$_POST["filter-description"]!="")
						{
							$sql.="and description LIKE '%".$_POST["filter-description"]."%'";
						}
						if(isset($_POST["filter-minprice"])&&$_POST["filter-minprice"]!="")
						{
							$sql.="and price >= '".$_POST["filter-minprice"]."'";
						}
						if(isset($_POST["filter-maxprice"])&&$_POST["filter-maxprice"]!="")
						{
							$sql.="and price <= '".$_POST["filter-maxprice"]."'";
						}
						$products=$db->custom_fetch_db($sql);
						foreach($products as $index => &$info)
						{
							$products[$index]["sale"]=count($db->custom_fetch_db("select * from orders_products,orders where orders_products.order_id = orders.id and orders.status='success' and product_id=".$info["id"]));
						}
						if(isset($_POST["filter-sort"])&&$_POST["filter-sort"]!="")
						{
							$products2 = array();
							foreach ($products as $key => $row)
							{
								$products2[$key] = $row['sale'];
							}
							if($_POST["filter-sort"]=="asc")
								$sort=SORT_ASC;
							else
								$sort=SORT_DESC;
							array_multisort($products2, $sort, $products);
						}
						foreach($products as $product)
						{
						?>
							<tr class="info">
								<td><?php echo PersianNumber($product["id"]);?></td>
								<td><?php echo PersianNumber($product["name"]); ?></td>
								<td><?php echo PersianNumber($product["description"]);?></td>
								<td><?php echo PersianNumber($product["price"]); ?></td>
								<td><img onclick="preview(this)" style="width:100%;" src=".<?php echo str_replace(".png","-thumb.png",$product["image"]);?>"></td>
								<td><?php echo PersianNumber($product["sale"]); ?></td>
								<td><?php echo PersianNumber($product["hit"]); ?></td>
							</tr>
					<?php
						}
					?>
					</tbody>
				</table>
			</div>
		</div>
	</form>
	<form method="post">
		<div class="row filter">
			<div class="col-sm-12">
				<fieldset>
					<div class="row">
						<input placeholder="نام" name="filter-name" class="form-control" <?php if(isset($_POST["filter-name"])&&$_POST["filter-name"]!="") echo 'value="'.$_POST["filter-name"].'"';?>>
						<input placeholder="توضیحات" name="filter-description" class="form-control" <?php if(isset($_POST["filter-description"])&&$_POST["filter-description"]!="") echo 'value="'.$_POST["filter-description"].'"';?>>
						<input placeholder="حداقل قیمت" name="filter-minprice" class="form-control" <?php if(isset($_POST["filter-minprice"])&&$_POST["filter-minprice"]!="") echo 'value="'.$_POST["filter-minprice"].'"';?>>
						<input placeholder="حداکثر قیمت" name="filter-maxprice" class="form-control" <?php if(isset($_POST["filter-maxprice"])&&$_POST["filter-maxprice"]!="") echo 'value="'.$_POST["filter-maxprice"].'"';?>>
						<select id="filter-sort" name="filter-sort" data-placeholder="مرتب سازی بر اساس فروش" class="users form-control chosen-select chosen-rtl">
							<option value="" >مرتب سازی بر اساس فروش</option>
							<option value="asc" <?php if(isset($_POST["filter-sort"])&&$_POST["filter-sort"]=='asc') echo 'selected';?>>صعودی</option>
							<option value="desc" <?php if(isset($_POST["filter-sort"])&&$_POST["filter-sort"]=='desc') echo 'selected';?>>نزولی</option>
						</select>
						<input type="submit" value="جستجو" class="btn btn-success" name="filter">
						<input type="button" value="بازنشانی" class="btn btn-warning" onclick="window.location.assign('?view=users');">
					</div>
				</fieldset>
			</div>
		</div>
	</form>
</div>
<div id="shadow">
</div>