<?php
defined('Template_Seller') or die ("شما اجازه دسترسي مستقيم به اين صفحه را نداريد.");
?>
<div class="container-fluid">
	<form method="post">
		<?php
		if(isset($error))
		{
			echo '
				<div class="container-fluid" style="margin:0 15px;">
					<div class="row">
						'.PersianNumber($error).'
					</div>
				</div>';
		}
		?>
		<br>
		<div class="row">
			<div class="col-sm-12">
				<table class="table table-hover table">
					<thead>
						<tr>
							<th width="5%">شماره</th>
							<th width="10%">نام</th>
							<th width="15%">نام خانوادگی</th>
							<th width="27%">نام کاربری</th>
							<th width="30%">پست الکترونیک</th>
							<th width="13%">گروه کاربری</th>
						</tr>
					</thead>
					<tbody>
					<?php
						$sql="select * from users where 1=1 ";
						if(isset($_POST["filter-name"])&&$_POST["filter-name"]!="")
						{
							$sql.="and name LIKE '%".$_POST["filter-name"]."%'";
						}
						if(isset($_POST["filter-family"])&&$_POST["filter-family"]!="")
						{
							$sql.="and family LIKE '%".$_POST["filter-family"]."%'";
						}
						if(isset($_POST["filter-username"])&&$_POST["filter-username"]!="")
						{
							$sql.="and username LIKE '%".$_POST["filter-username"]."%'";
						}
						if(isset($_POST["filter-email"])&&$_POST["filter-email"]!="")
						{
							$sql.="and email LIKE '%".$_POST["filter-email"]."%'";
						}
						if(isset($_POST["filter-type"])&&$_POST["filter-type"]!="")
						{
							$sql.="and type = '".$_POST["filter-type"]."'";
						}
						$users=$db->custom_fetch_db($sql);
						$usergroups=array(
							'1'=>"مدیریت سایت",
							'2'=>"بازرس",
							'3'=>"کاربر عادی"
						);
						foreach($users as $user)
						{
					?>
							<tr class="info">
								<td><?php echo PersianNumber($user["id"]);?></td>
								<td><?php echo PersianNumber($user["name"]); ?></td>
								<td><?php echo PersianNumber($user["family"]); ?></td>
								<td><?php echo PersianNumber($user["username"]); ?></td>
								<td><?php echo PersianNumber($user["email"]); ?></td>
								<td><?php echo $usergroups[$user["type"]]; ?></td>
							</tr>
					<?php
						}
					?>
					</tbody>
				</table>
			</div>
		</div>
	</form>
	<form method="post">
		<div class="row filter">
			<div class="col-sm-12">
				<fieldset>
					<div class="row">
						<input placeholder="نام" name="filter-name" class="form-control" <?php if(isset($_POST["filter-name"])&&$_POST["filter-name"]!="") echo 'value="'.$_POST["filter-name"].'"';?>>
						<input placeholder="نام خانوادگی" name="filter-family" class="form-control" <?php if(isset($_POST["filter-family"])&&$_POST["filter-family"]!="") echo 'value="'.$_POST["filter-family"].'"';?>>
						<input placeholder="نام کاربری" name="filter-username" class="form-control" <?php if(isset($_POST["filter-username"])&&$_POST["filter-username"]!="") echo 'value="'.$_POST["filter-username"].'"';?>>
						<input placeholder="پست الکترونیک" name="filter-email" class="form-control" <?php if(isset($_POST["filter-email"])&&$_POST["filter-email"]!="") echo 'value="'.$_POST["filter-email"].'"';?>>
						<select id="filter-type" name="filter-type" data-placeholder="گروه کاربری" class="users form-control chosen-select chosen-rtl">
							<option value="" >گروه کاربری</option>
							<option value="1" <?php if(isset($_POST["filter-type"])&&$_POST["filter-type"]==1) echo 'selected';?>>مدیریت سایت</option>
							<option value="2" <?php if(isset($_POST["filter-type"])&&$_POST["filter-type"]==2) echo 'selected';?>>بازرس</option>
							<option value="3" <?php if(isset($_POST["filter-type"])&&$_POST["filter-type"]==3) echo 'selected';?>>کاربر عادی</option>
						</select>
						<input type="submit" value="جستجو" class="btn btn-success" name="filter">
						<input type="button" value="بازنشانی" class="btn btn-warning" onclick="window.location.assign('?view=users');">
					</div>
				</fieldset>
			</div>
		</div>
	</form>
</div>