<?php
	session_start();
	define('Template_Seller',true);
	include "includes/include.php";
	include "includes/jdf.php";
	include "includes/check.php";
	include "./admin/includes/config.php";
	$login=false;
	if(isset($_SESSION["Login_Id"]))
	{
		$login=true;
	}
?>
<html>
	<head>
		<meta charset="utf-8">
		<title><?php echo $pagetitle;?></title>
		<link href="./assets/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
		<link rel="stylesheet" href="./assets/css/bootstrap.min.css">
		<link rel="stylesheet" href="./assets/css/animate.css">
		<link href="./assets/css/bootstrap-rtl.css" rel="stylesheet" type="text/css" />
		<link href="./assets/css/template-rtl.css" rel="stylesheet" type="text/css" />
		<script src="./assets/js/jquery.min.js"></script>
		<script src="./assets/js/plugins.js"></script>
		<script src="./assets/js/bootstrap.min.js"></script>
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	</head>
	<body>
		<div id="main">
			<div id="top">
				<div class="container">
					<div class="row">
						<div class="col-sm-12 col-xs-12">
							<div id="icons" class="bounceInRight animated">
								<div class="icon"><i class="fa fa-phone"></i><span><?php echo PersianNumber($phonenumber);?></span></div>
								<div class="icon"><i class="fa fa-envelope"></i><span><?php echo $email;?></span></div>
								<div class="icon"><i class="fa fa-calendar"></i><span>
									<?php echo jdate('l d F Y'); ?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div id="header">
				<div class="container">
					<div class="row">
						<div class="col-sm-6">
							<a href="index.php" id="logo">
								<div id="logo" class="fadeInRight animated">
									<img src="./assets/images/logo.png" alt="لوگو افزونه نویس">
									<div id="title">
										<h1><?php echo $titlelogo;?></h1>
										<h2 style="font-size: 18px; line-height: 0;"><?php echo $descriptionlogo;?></h2>
									</div>
								</div>
							</a>
						</div>
						<div class="col-sm-4">
							<p class="tada animated"><?php echo $notification;?></p>
						</div>
						<div class="col-sm-2">
							<?php if($login==false){echo $login;?>
								<div class="btl-panel">
									<a data-toggle="modal" title="ورود" data-target="#Login-Modal">
										<span id="btl-panel-login" class="user fadeInRight animated">
											<i class="fa fa-sign-in"></i>
										</span>
									</a>
									<a data-toggle="modal" title="ثبت نام" data-target="#Register-Modal">
										<span id="btl-panel-registration"  class="user fadeInLeft animated">
											<i class="fa fa-user-plus"></i>
										</span>
									</a>
								</div>
							<?php }else{echo $login;?>
								<div class="btl-panel">
									<a href="?view=logout" title="خروج">
										<span id="btl-panel-logout" class="user fadeInRight animated">
											<i class="fa fa-sign-out"></i>
										</span>
									</a>
									<a data-toggle="modal" title="پروفایل" data-target="#Profile-Modal">
										<span id="btl-panel-profile"  class="user fadeInLeft animated">
											<i class="fa fa-user"></i>
										</span>
									</a>
								</div>
							<?php }?>
						</div>
					</div>
				</div>
			</div>
			<div id="botmenu">
				<div class="container">
					<div class="row">
						<div class="col-sm-9">
							<div id="lastnews">
								<div id="lastnewshead" class="lastnews fadeInRight animated">
									<div class="title">قالب</div>
									<div class="sale">فروش</div>
									<div class="price">قیمت</div>
									<div class="author">طراح</div>
								</div>
								<?php
									$products=$db->fetch_db('products','1','*','id desc','10');
									$oddeven=0;
									foreach($products as $key => $value)
									{
								?>
								<div class="lastnews <?php if($oddeven%2==0) echo "fadeInLeft"; else echo "fadeInRight"; ?> animated">
									<div class="title"><a href="<?php echo "?view=details&id=".$value["id"];?>"><?php echo $value["name"];?></a></div>
									<div class="sale"><?php echo PersianNumber(count($db->custom_fetch_db("select * from orders_products,orders where orders_products.order_id = orders.id and orders.status='success' and product_id=".$value["id"]))); ?></div>
									<div class="price"><?php echo PersianNumber($value["price"]);?></div>
									<div class="author"><?php echo PersianNumber($value["designer"]);?></div>
								</div>
								<?php
									$oddeven++;
									}
								?>
								<div id="clr"></div>
							</div>
						</div>
						<div class="col-sm-3">
							<div id="freefile" class="rubberBand animated">
								<div id="title">
									<p>قالب رایگان این هفته</p>
								</div>
								<p style="overflow: hidden;height: 170px;">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>
								<form>
									<input style="" placeholder="شماره تلفن همراه خود را وارد کنید..." name="mobile" type="text">
									<input placeholder="آدرس ایمیل خود را وارد کنید..." name="email" type="text">
								</form>
								<div style="text-align: center;" id="dl-logo">
									<i style="font-size: 52px; padding-top: 15px;" class="fa fa-download"></i>
								</div>
								<p style="margin: 0px -10px -10px; text-align: center; color: rgb(0, 0, 0); background: rgb(255, 255, 255) none repeat scroll 0% 0%; padding-bottom: 5px;">اطلاعات شما نزد ما محفوظ است.</p>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div id="container">
				<div class="container">
					<div class="row">
						<div class="col-sm-8">
							<?php
							if(!isset($_GET["view"]))
							{
								$page=1;
								if(isset($_GET["page"])) $page=$_GET["page"];
								$offset=($page-1)*10;
								$products=$db->fetch_db('products','1','*','id desc',$offset.',10');
								$allbuyingproducts=array();
								if(isset($_SESSION["Login_Id"]))
								{
									$orders=$db->fetch_db('orders','status="success" and user_id='.$_SESSION["Login_Id"]);
									$allorders=$db->custom_fetch_db("SELECT * FROM orders_products as relation ,products as product ,orders WHERE relation.product_id=product.id and orders.id=relation.order_id and status='success' and user_id=".$_SESSION["Login_Id"]);
									foreach($allorders as $order)
									{
										$allbuyingproducts[]=$order["product_id"];
									}
								}
								foreach($products as $key => $value)
								{
							?>
							<div class="template RollIndisabled animated">
								<h2 class="template-title">
									<a href="<?php echo "?view=details&id=".$value["id"];?>">
										<?php echo PersianNumber($value["name"]);?>
									</a>
								</h2>
								<div class="pull-right template-image">
									<div class="img_caption none">
										<img onclick="preview(this)" class="caption" src="<?php echo str_replace(".png","-thumb.png",$value["image"]);?>">
									</div>
								</div>
								<p class="descriptions"><?php echo PersianNumber($value["description"]);?></p>
								<div class="bottomtemplate">
									<dl class="template-info muted">
										<dd id="sale">
											فروش: <?php echo PersianNumber(count($db->custom_fetch_db("select * from orders_products,orders where orders_products.order_id = orders.id and orders.status='success' and product_id=".$value["id"]))); ?>
										</dd>
										<dd id="hit">
											بازدید: <?php echo PersianNumber($value["hit"]);?>
										</dd>
										<dd id="price">
											قیمت: <?php echo PersianNumber($value["price"])." تومان";?>
										</dd>
									</dl>
									<p class="buy">
										<a class="btn" href="<?php echo "?view=details&id=".$value["id"];?>">
											<span class="icon-chevron-right"></span>
											جزئیات
										</a>
										<?php if(in_array($value["id"],$allbuyingproducts)) {?>
										<a class="btn addtocart" href="<?php echo $value['link'];?>">
											<span class="icon-chevron-right"></span>
											دانلود
										</a>
										<?php } else {?>
										<a class="btn addtocart" data-id="<?php echo $value["id"];?>" data-name="<?php echo $value["name"];?>" data-price="<?php echo $value["price"];?>">
											<span class="icon-chevron-right"></span>
											افزودن به سبد
										</a>
										<?php }?>
									</p>
								</div>
							</div>
							<?php }
							?>
							<ul id="pagination" class="shakedisabled animated">
								<?php
									$allproducts=$db->num_db('products');
									if($allproducts%10==0) $allpages=(int)$allproducts/10; else $allpages=(int)($allproducts/10)+1;
									if($page>1&&$allpages>0) echo "<a href='?page=1'><li>اولین</li></a>";
									if($page>1) {$prev=$page-1;	echo "<a href='?page=".$prev."'><li>قبلی</li></a>";	}
									for($i=1;$i<=$allpages;$i++)
									{
										if($i==$page)
											echo "<a><li class='active'>".PersianNumber($i)."</li></a>";
										else
											echo "<a href='?page=".$i."'><li>".PersianNumber($i)."</li></a>";
									}
									if($page<$allpages) {$prev=$page+1;	echo "<a href='?page=".$prev."'><li>بعدی</li></a>";}
									if($page<$allpages&&$allpages>0) echo "<a href='?page=".$allpages."'><li>آخرین</li></a>";
								?>
							</ul>
							<?php
							}
							else
							{
								$address="./pages/".$_GET["view"].".php";
								if(file_exists($address))
									require_once($address);
								else
									echo "<div class='alert alert-danger'>صفحه مورد نظر یافت نشد.</div>";
							}
							?>
						</div>
						<div class="col-sm-4">
							<div id="cart" class="left RollInLeftdisabled animated">
								<h3>سبد خرید</h3>
								<div id="empty" <?php if(isset($_COOKIE["products"])) echo "style='display:none'";?>><div class='alert alert-danger'>در حال حاضر سبد خرید خالی میباشد.</div></div>
								<div id="cart-products" <?php if(!isset($_COOKIE["products"])) echo "style='display:none'";?>>
									<div class="products head">
										<div class="product" id="product">
											<div id="title">نام قالب</div>
											<div id="price">قیمت</div>
											<div id="delete">حذف</div>
										</div>
									</div>	
									<div class="products" id="products">
										<?php 
											$price=0;
											if(isset($_COOKIE["products"]))
											{
												$products=explode("-",$_COOKIE["products"]);
												foreach($products as $id)
												{
													$info=$db->fetch_db('products','id='.$id);
													echo '
														<div class="product" id="product'.$info[0]["id"].'">
															<div id="title">'.PersianNumber($info[0]["name"]).'</div>
															<div id="price">'.PersianNumber($info[0]["price"]).'</div>
															<div id="delete" onclick="removefromcart(this)" data-price="'.$info[0]["price"].'" data-id="'.$info[0]["id"].'">
																<a>
																	<img src="./assets/images/delete-product.png">
																</a>
															</div>
														</div>';
														$price+=$info[0]["price"];
												}
											}
										?>
									</div>	
									<div class="products total">
										<div class="product" id="producttotal">
											<div id="title">جمع کل</div>
											<div id="price"><?php echo PersianNumber($price);?></div>
											<div id="delete" onclick="removefromcart(this)" data-id="all"><img src="./assets/images/delete-product.png"></div>
										</div>
									</div>
									<div id="payment">
										<a href="./pages/payment.php">
											<button class="btn btn-success">پرداخت</button>
										</a>
									</div>
								</div>	
							</div>
							<?php if($login==true) {?>
							<div id="panel" class="RollInLeftdisabled left animated">
								<h3>پنل کاربری</h3>
								<a href="index.php?view=newticket" class="fadeInRightdisabled animated">
									<div class="innerpanel" id="orders">
										<i class="fa fa-plus"></i>
										تیکت جدید
									</div>
								</a>
								<a href="index.php?view=tickets" class="fadeInLeftdisabled animated">
									<div class="innerpanel" id="tickets">
										<i class="fa fa-ticket"></i>
										تیکتها
									</div>
								</a>
								<a href="index.php?view=orders" class="fadeInRightdisabled animated">
									<div class="innerpanel" id="orders">
										<i class="fa fa-credit-card"></i>
										سفارشات
									</div>
								</a>
								<a href="index.php?view=logout" class="fadeInLeftdisabled animated">
									<div class="innerpanel" id="tickets">
										<i class="fa fa-sign-out"></i>
										خروج
									</div>
								</a>
							</div>
							<?php }?>
						</div>
					</div>
				</div>
			</div>
			<div id="footer">
				<div class="container">
					<div class="row">
						<div class="col-sm-12">
							<p style="text-align: center;">تمامی حقوق برای وبسایت افزونه نویس محفوظ است.</p>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div id="shadow"></div>
		<?php if($login==true){ $userinfo=$db->fetch_db('users','id='.$_SESSION["Login_Id"]);?>
		<div class="container">
			<div class="modal fade" id="Profile-Modal" role="dialog">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal">&times;</button>
							<h4 class="modal-title">ویرایش پروفایل</h4>
						</div>
						<div class="modal-body">
							<form role="form" action="index.php?view=profile" method="post">
									<label for="id">شماره:</label>
								<div class="form-group">
									<input type="text" disabled="disabled" class="form-control" name="id" id="id" value="<?php echo $userinfo[0]["id"];?>">
								</div>
								<div class="form-group">
									<label for="name">نام:</label>
									<input type="text" class="form-control" name="name" id="name" value="<?php echo $userinfo[0]["name"];?>">
								</div>
								<div class="form-group">
									<label for="family">نام خانوادگی:</label>
									<input type="text" class="form-control" name="family" id="family" value="<?php echo $userinfo[0]["family"];?>">
								</div>
								<div class="form-group">
									<label for="username">نام کاربری:</label>
									<input type="text" disabled="disabled" style="direction:ltr;" class="form-control" name="username" id="username" value="<?php echo $userinfo[0]["username"];?>">
								</div>
								<div class="form-group">
									<label for="password">کلمه عبور:</label>
									<input type="password" style="direction:ltr;" class="form-control" name="password" id="password">
								</div>
								<div class="form-group">
									<label for="email">ایمیل:</label>
									<input type="email" style="direction:ltr;" class="form-control" name="email" id="email" value="<?php echo $userinfo[0]["email"];?>">
								</div>
								<button type="submit" name="profilebtn" class="btn btn-success">ویرایش</button>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div><?php }?>
		<div class="container">
			<div class="modal fade" id="Register-Modal" role="dialog">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal">&times;</button>
							<h4 class="modal-title">ثبت نام</h4>
						</div>
						<div class="modal-body">
							<form role="form" action="?view=register" method="post">
								<div class="form-group">
									<label for="name">نام:</label>
									<input type="text" class="form-control" name="name" id="name">
								</div>
								<div class="form-group">
									<label for="family">نام خانوادگی:</label>
									<input type="text" class="form-control" name="family" id="family">
								</div>
								<div class="form-group">
									<label for="username">نام کاربری:</label>
									<input type="text" style="direction:ltr;" class="form-control" name="username" id="username">
								</div>
								<div class="form-group">
									<label for="password">کلمه عبور:</label>
									<input type="password" style="direction:ltr;" class="form-control" name="password" id="password">
								</div>
								<div class="form-group">
									<label for="email">ایمیل:</label>
									<input type="email" style="direction:ltr;" class="form-control" name="email" id="email">
								</div>
								<button type="submit" class="btn btn-success">ثبت نام</button>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="container">
			<div class="modal fade" id="Login-Modal" role="dialog">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal">&times;</button>
							<h4 class="modal-title">ورود</h4>
						</div>
						<div class="modal-body">
							<form role="form" action="?view=login" method="post">
								<div class="form-group">
									<label for="username">نام کاربری:</label>
									<input type="text" style="direction:ltr;" class="form-control" name="username" id="username">
								</div>
								<div class="form-group">
									<label for="password">کلمه عبور:</label>
									<input type="password" style="direction:ltr;" class="form-control" name="password" id="password">
								</div>
								<button type="submit" class="btn btn-success">ورود</button>
								<a class="btn btn-success" href="?view=rememberpassword">بازیابی رمز عبور</a>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
	</body>			
	<script src="assets/js/script.js"></script>
</html>