<?php
defined('Template_Seller') or die ("شما اجازه دسترسی مستقیم به این صفحه را ندارید.");?>
<div class="container-fluid">
	<form method="post">
		<?php
		if(isset($error))
		{
			echo '
				<div class="container-fluid" style="margin:0 15px;">
					<div class="row">
						'.PersianNumber($error).'
					</div>
				</div>';
		}
		?>
		<br>
		<div class="row">
			<div class="col-sm-12">
				<table class="table table-hover table">
					<thead>
						<tr>
							<th>شماره سفارش</th>
							<th>شماره پیگیری</th>
							<th>وضعیت</th>
							<th>مبلغ</th>
							<th>محصولات</th>
							<th>خریدار</th>
						</tr>
					</thead>
					<tbody>
					<?php
						$sql="select * from orders where 1=1 ";
						if(isset($_POST["filter-title"])&&$_POST["filter-title"]!="")
						{
							$sql.="and title LIKE '%".$_POST["filter-title"]."%'";
						}
						if(isset($_POST["filter-order_id"])&&$_POST["filter-order_id"]!="")
						{
							$sql.="and id = '".$_POST["filter-order_id"]."'";
						}
						if(isset($_POST["filter-Refid"])&&$_POST["filter-Refid"]!="")
						{
							$sql.="and Refid = '".$_POST["filter-Refid"]."'";
						}
						if(isset($_POST["filter-status"])&&$_POST["filter-status"]!="")
						{
							$sql.="and status = '".$_POST["filter-status"]."'";
						}
						if(isset($_POST["filter-minprice"])&&$_POST["filter-minprice"]!="")
						{
							$sql.="and price >= '".$_POST["filter-minprice"]."'";
						}
						if(isset($_POST["filter-maxprice"])&&$_POST["filter-maxprice"]!="")
						{
							$sql.="and price <= '".$_POST["filter-maxprice"]."'";
						}
						if(isset($_POST["filter-user"])&&$_POST["filter-user"]!="")
						{
							$sql.="and user_id = '".$_POST["filter-user"]."'";
						}
						$status=array(
							"success"=>"موفق",
							"cancelled"=>"لغو شده",
							"pending"=>"در انتظار"
						);
						$orders=$db->custom_fetch_db($sql);
						foreach($orders as $order)
						{
							$user=$db->fetch_db('users',"id=".$order["user_id"])[0];
					?>
							<tr class="<?php if($order["status"]=='success') echo "success"; elseif($order["status"]=='cancelled') echo "danger"; else echo "warning";?>">
								<td><?php echo PersianNumber($order["id"]);?></td>
								<td><?php echo PersianNumber($order["Refid"]); ?></td>
								<td><?php echo $status[$order["status"]]; ?></td>
								<td><?php echo PersianNumber($order["price"]); ?></td>
								<td>
									<?php
										$products=$db->fetch_db('orders_products','order_id='.$order["id"],"*","order_id asc");
										if(count($products)>0)
										{
											foreach($products as $id)
											{
												$info=$db->fetch_db('products','id='.$id["product_id"]);
												echo "<a>".$info[0]["name"]."</a><br>";
											}
										}
										else
											echo "در این سفارش هیچ محصولی موجود نیست.";
									?>
								</td>
								<td><?php echo PersianNumber($order["user_id"].". ".$user["name"]." ".$user["family"]);?></td>
							</tr>
					<?php
						}
					?>
					</tbody>
				</table>
			</div>
		</div>
	</form>
	<form method="post">
		<div class="row filter">
			<div class="col-sm-12">
				<fieldset>
					<div class="row">
						<input placeholder="شماره سفارش" name="filter-order_id" class="form-control" <?php if(isset($_POST["filter-order_id"])&&$_POST["filter-order_id"]!="") echo 'value="'.$_POST["filter-order_id"].'"';?>>
						<input placeholder="شماره پیگیری" name="filter-Refid" class="form-control" <?php if(isset($_POST["filter-Refid"])&&$_POST["filter-Refid"]!="") echo 'value="'.$_POST["filter-Refid"].'"';?>>
						<select id="filter-status" name="filter-status" data-placeholder="وضعیت" class="orders status form-control chosen-select chosen-rtl">
							<option value="" >وضعیت</option>
							<option value="success" <?php if(isset($_POST["filter-status"])&&$_POST["filter-status"]=="success") echo 'selected';?>><?php echo $status["success"]; ?></option>
							<option value="pending" <?php if(isset($_POST["filter-status"])&&$_POST["filter-status"]=="pending") echo 'selected';?>><?php echo $status["pending"]; ?></option>
							<option value="cancelled" <?php if(isset($_POST["filter-status"])&&$_POST["filter-status"]=="cancelled") echo 'selected';?>><?php echo $status["cancelled"]; ?></option>
						</select>
						<input placeholder="حداقل مبلغ" name="filter-minprice" class="form-control" <?php if(isset($_POST["filter-minprice"])&&$_POST["filter-minprice"]!="") echo 'value="'.$_POST["filter-minprice"].'"';?>>
						<input placeholder="حداکثر مبلغ" name="filter-maxprice" class="form-control" <?php if(isset($_POST["filter-maxprice"])&&$_POST["filter-maxprice"]!="") echo 'value="'.$_POST["filter-maxprice"].'"';?>>
						<?php $users=$db->fetch_db('users',"type=3");?>
						<select id="filter-user" name="filter-user" data-placeholder="خریدار" class="orders user form-control chosen-select chosen-rtl">
							<option value="" >خریدار</option>
							<?php foreach($users as $user) {?>
							<option value="<?php echo $user['id']; ?>" <?php if(isset($_POST["filter-user"])&&$_POST["filter-user"]==$user['id']) echo 'selected';?>><?php echo $user['name']." ".$user['family']; ?></option>
							<?php } ?>
						</select>
						<input type="submit" value="جستجو" class="btn btn-success" name="filter">
						<input type="button" value="بازنشانی" class="btn btn-warning" onclick="window.location.assign('?view=orders');">
					</div>
				</fieldset>
			</div>
		</div>
	</form>
</div>