<?php
	defined('Template_Seller') or die ("شما اجازه دسترسي مستقيم به اين صفحه را نداريد.");
	function zarinpalmsg($code)
	{
		$errorCode = array(
			-1=>'اطلاعات ارسال شده ناقص است.' ,
			-2=>'آی پی و يا مرچنت كد پذيرنده صحيح نيست.' ,
			-3=>'با توجه به محدوديت هاي شاپرك امكان پرداخت با رقم درخواست شده ميسر نمي باشد.' ,
			-4=>'سطح تاييد پذيرنده پايين تر از سطح نقره اي است.' ,
			-11=>'درخواست مورد نظر يافت نشد.' ,
			-21=>'هيچ نوع عمليات مالي براي اين تراكنش يافت نشد.' ,
			-22=>'تراكنش نا موفق ميباشد.' ,
			-33=>'رقم تراكنش با رقم پرداخت شده مطابقت ندارد.' ,
			-34=>'سقف تقسيم تراكنش از لحاظ تعداد يا رقم عبور نموده است.' ,
			-40=>'اجازه دسترسي به متد مربوطه وجود ندارد.' ,
			-41=>'اطلاعات ارسال شده مربوط به AdditionalData نامعتبر است.' ,
			-54=>'درخواست مورد نظر آرشيو شده.' ,
			100=>'عمليات با موفقيت انجام شد.' ,
			101=>'عمليات پرداخت موفق بوده و قبلا تایید تراکنش انجام شده است.' ,
		);
		return $errorCode[$code];
	}
	if(isset($_GET['Authority']))
	{
		$order=$db->fetch_db('orders','id='.(int)$_GET["order_id"])[0];
		$price=$order["price"];
		$MerchantID = '5074165e-ea24-4035-98dd-11085ee8aeb5';
		$Amount = $price;
		$Authority = $_GET['Authority'];
		if ($_GET['Status'] == 'OK') {
			$client = new SoapClient('https://www.zarinpal.com/pg/services/WebGate/wsdl', ['encoding' => 'UTF-8']);
			$result = $client->PaymentVerification([
				'MerchantID'     => $MerchantID,
				'Authority'      => $Authority,
				'Amount'         => $Amount,
			]);
			if ($result->Status == 100||$result->Status == 101) {
				$num=$db->num_db('orders','RefID='.$result->RefID);
				if($num>0){
					$num2=$db->num_db('orders','id='.(int)$_GET["order_id"].' and RefID='.$result->RefID);
					if($num==$num2)
						$duplicate=false;
					else
						$duplicate=true;
				}
				else
					$duplicate=false;
				if($duplicate==false)
				{
					echo "<script>Cookies.remove('products');</script>";
					echo '<div class="alert alert-success">تراکنش با موفقيت انجام شد.</div><div class="alert alert-info">کد پيگيري:'.$result->RefID.'</div><div class="alert alert-info"> کد تراکنش:'.(int)$_GET["order_id"]."</div>";
					$db->update_db("orders","status,Refid","'success',".$result->RefID,"id=".(int)$_GET["order_id"]);
					$products=explode("-",$order["products"]);
					foreach($products as $id)
					{
						$info=$db->fetch_db('products','id='.$id)[0];
						$db->update_db("products","sale",$info["sale"]+1,"id=".$info["id"]);
					}
				}
				else
				{
					echo '<div class="alert alert-danger">این پرداخت قبلا برای تراکنش دیگری اعمال شده است</div>';
				}
			} else {
				echo '<div class="alert alert-danger">تراکنش با خطا مواجه شد.</div><div class="alert alert-info">خطای بوجود آمده: '.zarinpalmsg($result->Status)."</div>";
				$db->update_db("orders","status","'failed'","status='pending' and id=".(int)$_GET["order_id"]);
			}
		} else {
			echo '<div class="alert alert-danger">تراکنش توسط کاربر لغو شد.</div>';
			$db->update_db("orders","status","'cancelled'","status='pending' and id=".(int)$_GET["order_id"]);
		}
	}
	else
		echo "<div class='alert alert-warning'>شما مجاز به دسترسی مستقیم به این صفحه نیستید.</div>";